Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sampleApplications
Class MyApp

    java.lang.Object
      |
      +--sampleApplications.MyApp

All Implemented Interfaces:
  CSSApplicationIF

public class MyApp
extends java.lang.Object
implements CSSApplicationIF

This class implements the application interface, providing the security platform interface with a callback object.

The callback object is invoked for the purposes of the security platform gaining access to the configuration and providing log messages to the calling application.

Field Summary
`java.lang.String` | `path` Replace with the path where your configuration file is kept.

Constructor Summary
`MyApp()`

Method Summary
`java.net.URL` | `getConfigFile()` This returns the configuration file for the security platform to initialize and be configured.
`java.lang.String[]` | `getUserIdentities()` Gets all user identity attributes from the application store.
`void` | `log(java.lang.String message)` Logs the message in the application-specific log.
`void` | `reAssignIdentity(java.lang.String originalIdentity, java.lang.String newIdentity)` Reassigns the identity of an entry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    public java.lang.String path

  Replace with the path where your configuration file is kept.

Constructor Detail

### MyApp

    public MyApp()

Method Detail

### getConfigFile

    public java.net.URL getConfigFile()

  This returns the configuration file for the security platform to initialize and be configured.

  Specified by:
    `getConfigFile` in interface `CSSApplicationIF`
  Returns:
    URL- the url for the configuration file
  See Also:
    `CSSApplicationIF.getConfigFile()`

### log

    public void log(java.lang.String message)

  Description copied from interface: `CSSApplicationIF`

  Logs the message in the application-specific log. It is the responsibilty of the application to format the message and save it in a thread-safe way to the application log file.

  Specified by:
    `log` in interface `CSSApplicationIF`
  Parameters:
    `message` - Statement from the security platform that has to be logged by the application.
  See Also:
    `CSSApplicationIF.log(String)`

### getUserIdentities

    public java.lang.String[] getUserIdentities()

  Description copied from interface: `CSSApplicationIF`

  Gets all user identity attributes from the application store. Users that have an identity are known to be stored in an external authentication repository.

  Specified by:
    `getUserIdentities` in interface `CSSApplicationIF`
  Returns:
    String[] - the array of identities
  See Also:
    `CSSApplicationIF.getUserIdentities()`

### reAssignIdentity

    public void reAssignIdentity(java.lang.String originalIdentity,
                                 java.lang.String newIdentity)

  Description copied from interface: `CSSApplicationIF`

  Reassigns the identity of an entry. This is necessary when identities have changed in the directory.

  Specified by:
    `reAssignIdentity` in interface `CSSApplicationIF`
  Parameters:
    `originalIdentity` - The identity as it was before being changed in the directory.
    `newIdentity` - The changed identity uniquely identifying a user or group in the directory.
  See Also:
    `CSSApplicationIF.reAssignIdentity(String, String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD